/* File automatically created by ./mkctext.pl*/

const char * disciplines_vams = ""
"/*\n"
"This file is part of adms - http://sourceforge.net/projects/mot-adms.\n"
"\n"
"adms is a code generator for the Verilog-AMS language.\n"
"\n"
"Copyright (C) 2016 Guilherme Brondani Torri <guitorri@gmail.com>\n"
"              2016 Felix Salfelder <felix@salfelder.org>\n"
"\n"
"This program is free software: you can redistribute it and/or modify\n"
"it under the terms of the GNU General Public License as published by\n"
"the Free Software Foundation, either version 3 of the License, or\n"
"(at your option) any later version.\n"
"\n"
"This program is distributed in the hope that it will be useful,\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
"GNU General Public License for more details.\n"
"\n"
"You should have received a copy of the GNU General Public License\n"
"along with this program.  If not, see <http://www.gnu.org/licenses/>.\n"
"*/\n"
"\n"
"`ifdef DISCIPLINES_VAMS\n"
"`else\n"
"`define DISCIPLINES_VAMS 1\n"
"\n"
"// Electrical current\n"
"nature current\n"
"  access = I;\n"
"  units = \"A\";\n"
"  abstol = 0.001234;\n"
"endnature\n"
"\n"
"// Electrical potential\n"
"nature voltage\n"
"  access = V;\n"
"  units = \"V\";\n"
"  abstol = 0.0004321;\n"
"endnature\n"
"\n"
"// Power\n"
"nature power\n"
"  access = Pwr;\n"
"  units = \"W\";\n"
"  abstol = 0.00101010;\n"
"endnature\n"
"\n"
"// Magnetic flux\n"
"nature flux\n"
"  access = Phi;\n"
"  units = \"We\";\n"
"endnature\n"
"\n"
"// how hot it is.\n"
"nature temperature\n"
"  access = Temp;\n"
"  units = \"K\";\n"
"  abstol = 3.14;\n"
"endnature\n"
"\n"
"// required for heat energy exchange.\n"
"discipline thermal\n"
"  potential temperature;\n"
"  flow power;\n"
"enddiscipline\n"
"\n"
"// Electrical discipline\n"
"discipline electrical\n"
"  potential voltage;\n"
"  flow current;\n"
"enddiscipline\n"
"\n"
"discipline magnetic\n"
"  potential voltage; // FIXME\n"
"  flow current; // FIXME\n"
"enddiscipline\n"
"\n"
"discipline rotational_omega\n"
"  potential voltage; // FIXME\n"
"  flow current; // FIXME\n"
"enddiscipline\n"
"\n"
"`endif // DISCIPLINES_VAMS\n"
;
